class_name Player
extends Entity

@export var current_path_node : PathNode

signal player_died
signal player_moved

@onready var area_2d: Area2D = $Area2D
@onready var state_machine: StateMachine = $StateMachine


func _ready() -> void:
	add_to_group(GameConstants.GROUP_PLAYER)
	area_2d.add_to_group(GameConstants.GROUP_PLAYER)
	transform = current_path_node.transform
